%define name piclab
%define version 0.1
%define release 1mdk

Summary: Piclab is an IDE for applications based on PIC microcontrollers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2

License: GPL
Group: Development/Other
Url: http://sourceforge.net/projects/piclab
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdebase-devel
BuildRequires: ImageMagick
Requires: gputils

%description
Piclab is an integrated development environment for applications based on 
PIC microcontrollers. Gputils tools are used for assembling. Microchip 
programmers (currently only ICD2 on serial port) and several direct 
programmers are supported.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-rpath --with-qt-libraries=$QTDIR/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/%_menudir
kdedesktop2mdkmenu.pl %name "More Applications/Development/Development Environments" %{buildroot}/%{_datadir}/applications/kde/piclab.desktop %{buildroot}/%_menudir/%{name}

mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -resize 16x16 pikdev/data/hi32-app-piclab.png %{buildroot}%{_miconsdir}/%name.png
convert -resize 32x32 pikdev/data/hi32-app-piclab.png %{buildroot}%{_iconsdir}/%name.png
convert -resize 48x48 pikdev/data/hi32-app-piclab.png %{buildroot}%{_liconsdir}/%name.png

%find_lang %{name}
%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/apps/katepart/syntax/picsrc_piclab.xml
%{_datadir}/applications/kde/piclab.desktop
%{_datadir}/icons/crystalsvg/*/apps/*.png
%_menudir/%{name}
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 0.1-1mdk
- First Mandriva release

